Page MenuHomePhabricator

Setup new msw1-codfw
Closed, ResolvedPublic0 Story Points

Description

Follow up from T221675.

I think the easier is to keep the name msw1-codfw (instead of msw2-codfw)

  • Rack device to temporary location
  • Connect power/console (no ethernet)
  • Upgrade
  • Configure

In maintenance window:

  • Swap old device

Then:

  • Update Netbox
  • File decom task for old device

Event Timeline

ayounsi triaged this task as Normal priority.May 23 2019, 9:23 PM
ayounsi created this task.
Restricted Application added a project: Operations. · View Herald TranscriptMay 23 2019, 9:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Papaul updated the task description. (Show Details)May 29 2019, 4:28 PM

console information:
scs-a1-codwf port 40

Papaul added a comment.Jun 3 2019, 4:25 PM

Before upgrade

Junos: 14.1X53-D47.6
JUNOS EX  Software Suite [14.1X53-D47.6]
JUNOS FIPS mode utilities [14.1X53-D47.6]
JUNOS Online Documentation [14.1X53-D47.6]
JUNOS EX 4300 Software Suite [14.1X53-D47.6]
JUNOS Web Management Platform Package [14.1X53-D47.6]
JUNOS py-base-powerpc [14.1X53-D47.6]

After upgrade

Junos: 17.3R3.10
JUNOS EX  Software Suite [17.3R3.10]
JUNOS FIPS mode utilities [17.3R3.10]
JUNOS Crypto Software Suite [17.3R3.10]
JUNOS Online Documentation [17.3R3.10]
JUNOS jsd [powerpc-17.3R3.10-jet-1]
JUNOS SDN Software Suite [17.3R3.10]
JUNOS EX 4300 Software Suite [17.3R3.10]
JUNOS Web Management Platform Package [17.3R3.10]
JUNOS py-base-powerpc [17.3R3.10]
JUNOS py-extensions-powerpc [17.3R3.10]
Papaul updated the task description. (Show Details)Jun 3 2019, 4:26 PM
RobH added a parent task: Unknown Object (Task).Jun 5 2019, 5:00 PM
RobH moved this task from Backlog to Racking Tasks on the ops-codfw board.Jun 12 2019, 1:11 PM
Papaul updated the task description. (Show Details)Jun 13 2019, 9:02 PM

@ayounsi let me know when this week you have time for us to replace the old msw.

Thanks.

Mentioned in SAL (#wikimedia-operations) [2019-07-03T14:06:23Z] <XioNoX> power off msw1-codfw - T224250

ayounsi added a comment.EditedJul 3 2019, 5:04 PM

We had to rollback to the old switch.
codfw is different from all the other sites, as mr1-codfw is connect to the cr1/2 through msw1 using 10G links to each routers.
While the new msw1 doesn't have 10G ports.

So we will have to discuss why it was designed like that, if we should figure out a way to keep the same design, or do the same design as the other sites (having mr1<->cr1/2 though asw).

Also some Icinga alert spam as I mostly downtimed https://icinga.wikimedia.org/cgi-bin/icinga/status.cgi?hostgroup=mgmt&style=hostdetail which doesn't include PDUs and network devices.
For next time: https://icinga.wikimedia.org/cgi-bin/icinga/status.cgi?hostgroup=pdus&style=hostdetail

T84333 is when the msw1<->cr connection has been made.
The other option would be to add a 10G extension module to msw1 (EX-UM-4X4SFP), @Papaul, do you have any spares?
As the MPC3D doesn't support 1G uplinks.

@faidon @mark for feedbacks

@ayounsi no we do not have any EX-UM-4X4SFP spares onsite. we will have to order some like we did when we did the switch re-fresh. All switches in rack A8, B8 and D8 didn't have the 10GB Uplink Module and we added it.

Papaul updated the task description. (Show Details)Fri, Aug 2, 12:57 AM
Papaul closed this task as Resolved.Fri, Aug 2, 1:24 AM
Papaul updated the task description. (Show Details)

Resolving this. The decom task for this T229638